libpyside-qt4-py3-1.2.2-alt3.git20140501.x86_64.rpm


Advertisement

Description

libpyside-qt4-py3 - Shared libraries of PySide (Python 3)

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package name libpyside-qt4-py3
Package version 1.2.2
Package release alt3.git20140501
Package architecture x86_64
Package type rpm
Installed size 776.39 KB
Download size 776.39 KB
Official Mirror ftp.altlinux.org
The PySide project provides LGPL-licensed Python bindings for the Qt
cross-platform application and UI framework, as well as a complete
toolchain for rapidly generating bindings for any Qt-based C++ class
hierarchies. PySide Qt bindings allow both free open source and
proprietary software development and ultimately aim to support all of
the platforms as Qt itself.
This package contains shared libraries of PySide.

Alternatives

Package Version Architecture Repository
libpyside-qt4-py3-1.2.2-alt3.git20140501.i586.rpm 1.2.2 i586 Classic
libpyside-qt4-py3 - - -

Requires

Name Value
libQtCore.so.4()(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libpython3.6m.so.1.0()(64bit) -
libshiboken.cpython-36m.so.1.2()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.8)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
libpyside-qt4-py3 = 1.2.2-alt3.git20140501
libpyside.cpython-36m.so.1.2()(64bit) -

Download

Type URL
Binary Package libpyside-qt4-py3-1.2.2-alt3.git20140501.x86_64.rpm
Source Package pyside-qt4-py3-1.2.2-alt3.git20140501.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libpyside-qt4-py3 rpm package:
    # sudo apt-get install libpyside-qt4-py3

Files

Path
/usr/lib64/libpyside.cpython-36m.so.1.2
/usr/lib64/libpyside.cpython-36m.so.1.2.2
/usr/share/PySide/
/usr/share/PySide/typesystems/typesystem_core.xml
/usr/share/PySide/typesystems/typesystem_core_common.xml
/usr/share/PySide/typesystems/typesystem_core_mac.xml
/usr/share/PySide/typesystems/typesystem_core_maemo.xml
/usr/share/PySide/typesystems/typesystem_core_win.xml
/usr/share/PySide/typesystems/typesystem_core_x11.xml
/usr/share/PySide/typesystems/typesystem_declarative.xml
/usr/share/PySide/typesystems/typesystem_gui.xml
/usr/share/PySide/typesystems/typesystem_gui_common.xml
/usr/share/PySide/typesystems/typesystem_gui_mac.xml
/usr/share/PySide/typesystems/typesystem_gui_maemo.xml
/usr/share/PySide/typesystems/typesystem_gui_simulator.xml
/usr/share/PySide/typesystems/typesystem_gui_win.xml
/usr/share/PySide/typesystems/typesystem_gui_x11.xml
/usr/share/PySide/typesystems/typesystem_help.xml
/usr/share/PySide/typesystems/typesystem_multimedia.xml
/usr/share/PySide/typesystems/typesystem_network.xml
/usr/share/PySide/typesystems/typesystem_opengl.xml
/usr/share/PySide/typesystems/typesystem_script.xml
/usr/share/PySide/typesystems/typesystem_scripttools.xml
/usr/share/PySide/typesystems/typesystem_sql.xml
/usr/share/PySide/typesystems/typesystem_svg.xml
/usr/share/PySide/typesystems/typesystem_templates.xml
/usr/share/PySide/typesystems/typesystem_test.xml
/usr/share/PySide/typesystems/typesystem_uitools.xml
/usr/share/PySide/typesystems/typesystem_webkit.xml
/usr/share/PySide/typesystems/typesystem_webkit_simulator.xml
/usr/share/PySide/typesystems/typesystem_xml.xml
/usr/share/PySide/typesystems/typesystem_xmlpatterns.xml
/usr/share/doc/libpyside-qt4-py3-1.2.2/COPYING

Changelog

2018-05-08 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.2.2-alt3.git20140501
- fixed packaging on 64bit arches other than x86_64
2018-03-22 - Aleksei Nikiforov <darktemplar@altlinux.org> 1.2.2-alt2.git20140501.1.1
- (NMU) Rebuilt with python-3.6.4.
2016-03-17 - Ivan Zakharyaschev <imz@altlinux.org> 1.2.2-alt2.git20140501.1
- (NMU) rebuild with python3-3.5 & rpm-build-python3-0.1.10
(for ABI dependence and new python3(*) reqs)
2015-12-08 - Andrey Cherepanov <cas@altlinux.org> 1.2.2-alt2.git20140501
- Exclude ENABLE_VERSION_SUFFIX to prevent difference between
/usr/include/PySide-1.2/QtGui and /usr/include/PySide/QtGui
2014-07-09 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.2-alt1.git20140501
- New snapshot
2014-05-27 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.2-alt1.git20140422
- Version 1.2.2
2013-11-18 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.1-alt1.git20130724
- Version 1.2.1
2013-06-17 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1.2-alt2.git20130522
- New snapshot
2013-03-21 - Aleksey Avdeev <solo@altlinux.ru> 1.1.2-alt1.1
- Rebuild with Python-3.3
2012-09-04 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1.2-alt1
- Version 1.1.2

See Also

Package Description
libpyside-qt4-py3-devel-1.2.2-alt3.git20140501.x86_64.rpm Development files of PySide (Python 3)
libpython-2.7.15-alt1.x86_64.rpm Python shared library
libpython3-3.6.5-alt1.1.x86_64.rpm Python3 shared library
libqacache-0.3-alt1.x86_64.rpm NoSQL solution for data caching
libqacache-devel-0.3-alt1.x86_64.rpm NoSQL solution for data caching
libqaccessibilityclient-0.1.1-alt1.x86_64.rpm Accessibility client library for Qt
libqaccessibilityclient-devel-0.1.1-alt1.x86_64.rpm Development files for libqaccessibilityclient
libqalculate-2.6.1-alt1.S1.x86_64.rpm libqalculate libraries
libqalculate-devel-2.6.1-alt1.S1.x86_64.rpm libqalculate development package
libqb-1.0.3-alt1_4.x86_64.rpm An IPC library for high performance servers
libqb-devel-1.0.3-alt1_4.x86_64.rpm Development files for libqb
libqca-1.0-alt4.1.x86_64.rpm QCA - Qt Cryptographic Architecture
libqca-devel-1.0-alt4.1.x86_64.rpm Header files for developing apps which will use Qt Crytographic Architecture (QCA)
libqca-qt5-2.2.0-alt0.1.S1.x86_64.rpm QCA - Qt Cryptographic Architecture library
libqca-qt5-devel-2.2.0-alt0.1.S1.x86_64.rpm Header files for developing apps which will use Qt Crytographic Architecture (QCA)
Advertisement
Advertisement